Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::DrawShapeEllipse Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeEllipse:

## Public Member Functions

| DrawShapeEllipse (const std::vector< Point2D > &points, double lineWidth=2, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1)
| DrawShapeEllipse (const DrawShapeEllipse &)=delete
| DrawShapeEllipse (DrawShapeEllipse &&)=delete
| ~DrawShapeEllipse ()=default
DrawShapeEllipse & | operator= (const DrawShapeEllipse &)=delete
DrawShapeEllipse & | operator= (DrawShapeEllipse &&)=delete
void | myDraw (MolDraw2D &drawer) const override
void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const override
void | move (const Point2D &trans) override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | scale (const Point2D &scale_factor)

## Additional Inherited Members

Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 82 of file DrawShape.h.

## Constructor & Destructor Documentation

## DrawShapeEllipse() [1/3]

RDKit::MolDraw2D_detail::DrawShapeEllipse::DrawShapeEllipse | ( | const std::vector< Point2D > & | points,
|  | double | lineWidth = `2`,
|  | bool | scaleLineWidth = `false`,
|  | DrawColour | lineColour = `DrawColour(0, 0, 0)`,
|  | bool | fill = `false`,
|  | int | atom1 = `-1`
| ) |  |

## DrawShapeEllipse() [2/3]

RDKit::MolDraw2D_detail::DrawShapeEllipse::DrawShapeEllipse | ( | const DrawShapeEllipse & |  | ) |

delete

## DrawShapeEllipse() [3/3]

RDKit::MolDraw2D_detail::DrawShapeEllipse::DrawShapeEllipse | ( | DrawShapeEllipse && |  | ) |

delete

## ~DrawShapeEllipse()

RDKit::MolDraw2D_detail::DrawShapeEllipse::~DrawShapeEllipse | ( |  | ) |

default

## Member Function Documentation

## doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeEllipse::doesRectClash | ( | const StringRect & | rect,
|  | double | padding
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## findExtremes()

void RDKit::MolDraw2D_detail::DrawShapeEllipse::findExtremes | ( | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## move()

void RDKit::MolDraw2D_detail::DrawShapeEllipse::move | ( | const Point2D & | trans | ) |

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## myDraw()

void RDKit::MolDraw2D_detail::DrawShapeEllipse::myDraw | ( | MolDraw2D & | drawer | ) | const

override virtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## operator=() [1/2]

DrawShapeEllipse & RDKit::MolDraw2D_detail::DrawShapeEllipse::operator= | ( | const DrawShapeEllipse & |  | ) |

delete

## operator=() [2/2]

DrawShapeEllipse & RDKit::MolDraw2D_detail::DrawShapeEllipse::operator= | ( | DrawShapeEllipse && |  | ) |

delete

The documentation for this class was generated from the following file:

- DrawShape.h